ICE Endex Dutch TTF gas futures for European gas and LNG workflows.
| Method | Endpoint | Description |
|---|
| GET | /v1/futures/ttf-gas | Current contract prices |
| GET | /v1/futures/ttf-gas/historical | Historical contract data |
| GET | /v1/futures/ttf-gas/curve | Current futures curve |
| GET | /v1/futures/ttf-gas/ohlc | Daily OHLC |
| GET | /v1/futures/ttf-gas/intraday | Intraday intervals |
| GET | /v1/futures/ttf-gas/spreads | Calendar spreads |
| GET | /v1/futures/ttf-gas/spread-history | Historical spread analysis |
Requires futures data access, typically Professional+ or an equivalent enterprise entitlement.
curl "https://api.oilpriceapi.com/v1/futures/ttf-gas/curve" \
-H "Authorization: Token YOUR_API_KEY"
{
"commodity": "TTF_GAS_FUTURES",
"source": "ICE Endex",
"currency": "EUR",
"unit": "MWh",
"updated_at": "2026-07-15T14:30:00.000Z",
"contracts": [
{
"contract_month": "2026-08",
"last_price": 32.41,
"settlement": 32.38,
"volume": 12450,
"open_interest": 88120
}
]
}
| Parameter | Used By | Description |
|---|
contract | historical, ohlc, intraday | Contract month such as 2026-08 |
from, to | historical, spread-history | ISO date range |
days | ohlc, spreads | Lookback window |
date | intraday, spreads | Trading date |
| Status | When |
|---|
400 | Missing spread-history params or invalid contract |
401 | Missing or invalid API key |
403 | Futures entitlement missing |
402 | Plan/quota issue |